Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044907
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-08-27 10:142020-09-17 08:10
ReporterguillermogilView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044907: Not possible to execute OBMOBC_PostWindowNavigate hook

DescriptionNot possible to execute OBMOBC_PostWindowNavigate hook.
There is a missing callbackExecutor.

It will be needed to update wiki too as the hook is not listed:
http://wiki.openbravo.com/wiki/List_of_Hooks_in_Web_POS [^]
Steps To ReproduceImplement on a module OBMOBC_PostWindowNavigate hook.
See it is not being executed
Proposed SolutionSee patches attached
TagsNo tags attached.
Attached Filesdiff file icon 44907_posterminal.diff [^] (662 bytes) 2020-08-27 10:15 [Show Content]
diff file icon 44907_mobilecore.diff [^] (850 bytes) 2020-08-27 10:15 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0123077)
hgbot (developer)
2020-09-16 05:59

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/99 [^]
(0123078)
hgbot (developer)
2020-09-16 05:59

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/68 [^]
(0123126)
hgbot (developer)
2020-09-17 08:10

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 14433c8c536955a569eacd7868152ee7eb12c3c1
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-09-17T06:10:12+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/14433c8c536955a569eacd7868152ee7eb12c3c1 [^]

Related to ISSUE-44907: Hook PostWindowNavigate callback should be called
* In Hook PostWindowNavigate, MasterData should be checked if user loggedin in online mode

---
M web/org.openbravo.retail.posterminal/js/components/menuhook.js
---
(0123127)
hgbot (developer)
2020-09-17 08:10

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/99 [^]
(0123128)
hgbot (developer)
2020-09-17 08:10

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: a9d8c11bb0a92f4d7d7896857a61d8968aabea1e
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-09-17T06:10:16+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/a9d8c11bb0a92f4d7d7896857a61d8968aabea1e [^]

Fixed ISSUE-44907: Hook PostWindowNavigate should be called in online/offline mode
* Hook PostWindowNavigate should be called when window models are loaded and UI rendered

---
M web/org.openbravo.mobile.core/source/data/ob-windowmodel.js
---
(0123129)
hgbot (developer)
2020-09-17 08:10

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/68 [^]

- Issue History
Date Modified Username Field Change
2020-08-27 10:14 guillermogil New Issue
2020-08-27 10:14 guillermogil Assigned To => Retail
2020-08-27 10:14 guillermogil Triggers an Emergency Pack => No
2020-08-27 10:15 guillermogil File Added: 44907_posterminal.diff
2020-08-27 10:15 guillermogil File Added: 44907_mobilecore.diff
2020-08-27 10:16 guillermogil Relationship added blocks 0044899
2020-08-27 13:51 guillermogil Relationship deleted blocks 0044899
2020-09-01 06:57 guillermogil Description Updated View Revisions
2020-09-14 09:21 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-09-15 11:42 ranjith_qualiantech_com Status new => scheduled
2020-09-16 05:59 hgbot Note Added: 0123077
2020-09-16 05:59 hgbot Note Added: 0123078
2020-09-17 08:10 hgbot Note Added: 0123126
2020-09-17 08:10 hgbot Note Added: 0123127
2020-09-17 08:10 hgbot Resolution open => fixed
2020-09-17 08:10 hgbot Status scheduled => closed
2020-09-17 08:10 hgbot Fixed in Version => RR20Q4
2020-09-17 08:10 hgbot Note Added: 0123128
2020-09-17 08:10 hgbot Note Added: 0123129


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker